using System.ComponentModel.DataAnnotations;

namespace Silk_Road_Api.ViewModels;

public class ManufacturerViewModel
{
    public int id { get; set; } = 0;
    [RegularExpression(@".{3,40}$", ErrorMessage = "Characters are not allowed.")]
    public string name { get; set; }
    [RegularExpression(@".{3,40}$", ErrorMessage = "Characters are not allowed.")]
    public string address { get; set; }
    [RegularExpression(@".{3,40}$", ErrorMessage = "Characters are not allowed.")]
    public string contact { get; set; }
    public int totalCount { get; set; } = 0;
}
